cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
New Member
New Member

Linux Drivers Old

Product Name: WorkCentre 5021n
Operating System: Linux

Hello,

The windows drivers for this model work fine on windows 10 64bit, but the redhat and ubuntu drivers are old (Ubuntu 12), I searched online for newer drivers or a work around to get the printer to work on Ubuntu 16-18 but could'nt find anything.

Is there a newer driver somewhere? if not is there a way to make Linux computers print without the driver? perphaps a print server that recieves the requests and send them to the printer? or use another model's drivers? I am at lost.

Thanks!

0 Kudos
1 Reply
Valued Advisor
Valued Advisor

Re: Linux Drivers Old

The Windows drivers are from 2013, they are not Windows 10 drivers, but they will probably work because Windows is Windows really, you just may have to shut off driver signing.

Linux is pretty much the same, pick the needed package and install it, if you find an issue maybe someone can help, but find an issue to help with first, the printer is long out of development so no driver is forthcoming for any OS, but as it essentially has no features to support, it doesn't even do duplex (Only the 5021D has duplex). It also only supports HBPL.

And there are quite a lot of generic PPD's for that

Please be sure to select "Accept Solution" and or select the thumbs up icon to enter Kudos for posts that resolve your issues. Your feedback counts!

Joe Arseneau
0 Kudos